/*
Copyright (C) 2001 Chao-Kuo Lin

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
 
#ifndef _CK_DIALOG_H_
#define _CK_DIALOG_H_

//#define _CKDEBUG
//#define _LSEXTREMEDEBUG

#define WIN32_LEAN_AND_MEAN
#include <windows.h>

#include "ckDebug.h"

#include <memory>
#include <string>
#include <map>
#include <set>
#include <vector>
#include <cassert>
using namespace std;

#include "auto_vector.h"
#include "smart_ptr.h"   

#include "../lsapi/lsapi.h"
//#include "../lsapi/lsdebug.h"

#include "ckGlobal.h"
#include "ckError.h"
#include "ckToken.h"
#include "ckException.h"
#include "ckLogger.h"
#include "ckLoggers.h"

#ifdef __cplusplus
extern "C" {
#endif

__declspec( dllexport ) int initModule(HWND parent, HINSTANCE dll, wharfDataType* wd);
__declspec( dllexport ) int initModuleEx(HWND parent, HINSTANCE dll, LPCSTR szPath);
__declspec( dllexport ) int quitModule(HINSTANCE dll);

#ifdef __cplusplus
}
#endif

#endif