/*
Copyright (C) 2001 Chao-Kuo Lin

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef _CK_DUMMY_H_
#define _CK_DUMMY_H_

#include "ckDialog.h"
#include "ckStream.h"
#include "ckScanner.h"

class ckDummyStream : public ckStream
{
public:
    ckDummyStream() {}
    virtual ~ckDummyStream() {}

    virtual bool isMore() { return false;}
    virtual char next()  { _LSDEBUG0; assert(false);}
    virtual char peek()  { _LSDEBUG0; assert(false);}
    virtual void setPos(int pos) { _LSDEBUG0; assert(false);}
    virtual int getPos() { _LSDEBUG0; assert(false);}
};

class ckDummyScanner : public ckBaseScanner
{
public:
    ckDummyScanner()
    :   skScanner(_dummy)
    {

    }

    ~ckDummyScanner() {}

protected:
    void determineToken()
    {
        //actually we shouldn't be here
        _LSDEBUG1("BUGBUG: we shouldn't be here");
        _token = ckTokenEndStream;
    }

    ckDummyStream _dummy;
};

#endif