/*
Copyright (C) 2001 Chao-Kuo Lin

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef _CK_LISTBOXCONTROL_H_
#define _CK_LISTBOXCONTROL_H_

#include "ckControl.h"
#include "ckControlImp.h"

class ckListBoxControl : public ckControl, public ckControlFactory<ckListBoxControl>
{
    friend class ckControlFactory<ckListBoxControl>;
public:
    ~ckListBoxControl() {}

    virtual ckError performAction(string const &action, ckValueWrapper &wrapper);
    virtual ckError retreiveVariable(string const &var, string &value);

    //static ckControl::ControlStyleT *getstylegallery()  {return _listboxstyle;}
    //virtual DWORD _parseStyle();

protected:
    ckListBoxControl();
    virtual ControlStyleT * _getstyle(DWORD &style) 
    { 
        style |= WS_VISIBLE | LBS_HASSTRINGS | WS_VSCROLL;
        return _listboxstyle;
    }    

    static ckControl::ControlStyleT _listboxstyle[];    
};

#endif