/*
Copyright (C) 2000 Chao-Kuo Lin

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#include "ckDialog.h"

char *ckErrorStringArray[] =
{
    "SUCCESS",
    "FAIL",
	"NEW_INSIDE_NEW",
	"NEW_MISMATCHED",
	"NEWCONTROL_MISMATCHED",
	"ATTRIBUTE_OUTSIDE_NEW",
    "ATTRIBUTE_VALUE_INVALID",
	"INVALID_ATTRIBUTE",
	"SYNTAX_ERROR", 
    "INVALID_ACTION",  
    "NOT_SUPPORTED",
    "INVALID_VALUE",
    "INVALID_ARGUMENT",
    "DUPLICATE_DEFINITION",
    "VARIABLE_MISMATCHED"
};


char *ckTokenStringArray[] =
{
    "ckTokenBeginStream",
	"ckTokenNew",
	"ckTokenInt",
    "ckTokenString",
	"ckTokenAttribute",
	"ckTokenNEWControl",
	"ckTokenENDControl",
	"ckTokenENDNew",
	"ckTokenBuiltinID",
    "ckTokenVariable",
    "ckTokenError",
	"ckTokenEndStream",
    "ckTokenEmptyString",
    "ckTokenBangString"
};


COLORREF strtocolor(const char *str)
{
    /*
    smart_array<char> tempstr(strdup(str));
    if(strlen(tempstr.get()) == 6)
    {
        char temp = tempstr[0];
        tempstr[0] = tempstr[5];
        tempstr[5] = temp;
        temp = tempstr[1];
        tempstr[1] = tempstr[4];
        tempstr[4] = temp;
    }
    
    return strtol(tempstr.get(), NULL, 16);
    */

    COLORREF val = strtol(str, NULL, 16);
    val = RGB(GetBValue(val), GetGValue(val), GetRValue(val));
    return val;
}
